Bug 427472 - Backport patch from 2.6.19 allowing fs' to manually d_move() inside of ->rename()
Backport patch from 2.6.19 allowing fs' to manually d_move() inside of ->rena...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: beta
: ---
Assigned To: Peter Staubach
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 21:06 EST by Sunil Mushran
Modified: 2008-05-21 11:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] Allow file systems to manually d_move() inside of ->rename() (4.35 KB, patch)
2008-01-03 21:06 EST, Sunil Mushran
no flags Details | Diff
Proposed patch (3.27 KB, patch)
2008-01-18 15:08 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Sunil Mushran 2008-01-03 21:06:35 EST
Description of problem:
Click on the link for the description of the problem and the ensuing discussion.
http://marc.info/?l=linux-kernel&m=115689222430028&w=2

This issue was addressed in 2.6.19 in mainline.
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=349457ccf2592c14bdf13b6706170ae2e94931b1

The patch has also been attached.

This is a request for adding this patch to RHEL5 U2.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sunil Mushran 2008-01-03 21:06:35 EST
Created attachment 290811 [details]
[PATCH] Allow file systems to manually d_move() inside of ->rename()
Comment 2 Peter Staubach 2008-01-18 15:08:17 EST
Created attachment 292196 [details]
Proposed patch
Comment 3 RHEL Product and Program Management 2008-01-18 15:17:12 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2008-01-22 13:52:06 EST
in 2.6.18-72.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Sunil Mushran 2008-01-22 21:31:58 EST
Thanks. It looks good.
Comment 10 errata-xmlrpc 2008-05-21 11:05:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.